org.labkey.remoteapi.assay

## Class Run

- java.lang.Object
- - org.labkey.remoteapi.ResponseObject
  - - org.labkey.remoteapi.assay.ExpObject
    - - org.labkey.remoteapi.assay.Run

-     public class Run
      extends ExpObject

  Represents a single assay run User: jeckels Date: Apr 28, 2010

- - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.ResponseObject

      `_allProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Run()`
    `Run(org.json.simple.JSONObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.util.List<Data>` | `getDataInputs()`
    `java.util.List<Data>` | `getDataOutputs()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDataInputs(java.util.List<Data> dataInputs)`
    `void` | `setDataOutputs(java.util.List<Data> dataOutputs)`
    `void` | `setResultData(java.util.List<java.util.Map<java.lang.String,java.lang.Object>> resultData)`
    `org.json.simple.JSONObject` | `toJSONObject()`

    - ### Methods inherited from class org.labkey.remoteapi.assay.ExpObject

      `getId, getName, getProperties, setId, setName, setProperties, toJSON`

    - ### Methods inherited from class org.labkey.remoteapi.ResponseObject

      `getAllProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Run

          public Run()

    - #### Run

          public Run(org.json.simple.JSONObject json)

  - ### Method Detail

    - #### toJSONObject

          public org.json.simple.JSONObject toJSONObject()

      Overrides:
        `toJSONObject` in class `ExpObject`

    - #### getDataInputs

          public java.util.List<Data> getDataInputs()

      Returns:
        the list of data files that were consumed by this run

    - #### setDataInputs

          public void setDataInputs(java.util.List<Data> dataInputs)

      Parameters:
        `dataInputs` - the list of data files that were consumed by this run

    - #### getDataOutputs

          public java.util.List<Data> getDataOutputs()

      Returns:
        the list of data files that were produced by this run

    - #### setDataOutputs

          public void setDataOutputs(java.util.List<Data> dataOutputs)

      Parameters:
        `dataOutputs` - the list of data files that were produced by this run

    - #### getComment

          public java.lang.String getComment()

      Returns:
        the free-form comment attached to this run

    - #### setComment

          public void setComment(java.lang.String comment)

      Parameters:
        `comment` - the free-form comment attached to this run

    - #### setResultData

          public void setResultData(java.util.List<java.util.Map<java.lang.String,java.lang.Object>> resultData)

      Parameters:
        `resultData` - the list of data rows in this assay run